fprintf("Problem 1: \n")
syms z_inv p_m p_3
x2_u = z_inv/(1-p_m*z_inv);
x1_x2 = z_inv/(1-p_m*z_inv);
x3_x2 = z_inv/(1-p_3*z_inv);

total_sys = (x1_x2 + x3_x2)*x2_u;

disp(simplify(expand(total_sys)))

fprintf('Hello, world!')
